Subject: Re: PATCH powerpc: Merge asm-ppc*/sections.h

From: Dan Malek <[email-masked]>
Date: Thu, 15 Sep 2005 17:21:57 -0400

On Sep 15, 2005, at 4:57 PM, Gabriel Paubert wrote:

> So yes, I object strongly object if I don't have a way
> of removing useless PMAC code.

Or, any other code that isn't appropriate.  People have
always laughed at me for trying to save bytes here and
there, but I have to say there are many, many more PowerPCs
running Linux in 32M of memory than 2G of memory.

Using the smallest amount of memory to solve the
problem is still the norm, and when you are competing
against other architectures that can run in less memory,
you can't win.  Of course, as Gabriel said, I also see
legacy systems that want to change from another OS
to Linux, but they have 16M soldered on the board (which
was _way_ more than necessary to run that other OS),
and that isn't going to change.

Please, we have to be sensitive to configuring systems
to minimize the resource requirements for Linux.

Thanks.

	-- Dan